Subject: Re: array subscript is above array bounds warnings with gcc4.3

From: Gabriel C <[email-masked]>
Date: Fri, 04 Apr 2008 20:12:44 +0200

Adrian Bunk wrote:
> On Fri, Apr 04, 2008 at 07:31:18PM +0200, Gabriel C wrote:
>> Hi,
>>
>> I noticed these warning on my randconfig logs of some builds :
>>
>> ..
>>
>> drivers/usb/core/hcd.c: In function 'usb_hcd_poll_rh_status':                                                                                                
>> include/asm/string_32.h:65: warning: array subscript is above array bounds
>>
>> net/netfilter/nf_conntrack_proto_sctp.c: In function 'sctp_packet':                                                                                          
>> net/netfilter/nf_conntrack_proto_sctp.c:374: warning: array subscript is above array bounds
>>
>> drivers/acpi/tables/tbfadt.c: In function 'acpi_tb_create_local_fadt':                                                                                       
>> include/asm/string_32.h:65: warning: array subscript is above array bounds
>>
>> ...
> 
> Sounds like a known and already fixed bug in gcc.
> 
> Can you confirm that they go away when you build your compiler from the 
> head of the gcc 4.3 SVN branch?
> 

I cannot do that right now but I'll build SVN 4.3 tomorrow and report back.

Gabriel